# TMCDynamicString Class Reference
[MCCore]

Inheritance diagram for TMCDynamicString:

List of all members.

## Public Member Functions
| TMCDynamicString ()
| TMCDynamicString (const int8 *ss)
| TMCDynamicString (const int8 *ss, uint32 length)
| TMCDynamicString (const TMCString &astring)
| TMCDynamicString (const TMCString &astring, uint32 inIndex, uint32 inLength)
| TMCDynamicString (const TMCDynamicString &astring)
| TMCDynamicString (const TMCDynamicString &astring, uint32 inIndex, uint32 inLength)
| ~TMCDynamicString ()
TMCString & | operator= (const TMCString &ss)
TMCDynamicString & | operator= (const TMCDynamicString &ss)
TMCString & | operator+= (const TMCString &ss)
TMCString & | operator+= (uint16 c)
void | InsertStr (const TMCString &ss, uint32 nIndex)
void | Append (const int8 *ss, uint32 byteCount)
## Protected Member Functions
void | InitializeDynamic (const int8 *ss, uint32 length)
virtual void | SetByteLength (uint32 byteLength)
virtual void | SetMaxLength (uint32 maxLength)
virtual void | AllocateDynamicString (uint32 byteLength)
virtual int8 * | GetString () const
## Protected Attributes
int8 * | fStringBuffer

## Detailed Description

String class with a dynamic buffer

## Constructor & Destructor Documentation

TMCDynamicString::TMCDynamicString | ( |  | ) |

TMCDynamicString::TMCDynamicString | ( | const int8 * | ss | ) |

TMCDynamicString::TMCDynamicString | ( | const int8 * | ss,
|  | uint32 | length |
| ) |  |  |

TMCDynamicString::TMCDynamicString | ( | const TMCString & | astring | ) |

TMCDynamicString::TMCDynamicString | ( | const TMCString & | astring,
|  | uint32 | inIndex,
|  | uint32 | inLength |
| ) |  |  |

TMCDynamicString::TMCDynamicString | ( | const TMCDynamicString & | astring | ) |

TMCDynamicString::TMCDynamicString | ( | const TMCDynamicString & | astring,
|  | uint32 | inIndex,
|  | uint32 | inLength |
| ) |  |  |

TMCDynamicString::~TMCDynamicString | ( |  | ) |

## Member Function Documentation

virtual void TMCDynamicString::AllocateDynamicString | ( | uint32 | byteLength | ) | `[protected, virtual]`

void TMCDynamicString::Append | ( | const int8 * | ss,
|  | uint32 | byteCount |
| ) |  |  |

virtual int8* TMCDynamicString::GetString | ( |  | ) | const`[protected, virtual]`

Implements TMCString.

void TMCDynamicString::InitializeDynamic | ( | const int8 * | ss,
|  | uint32 | length |
| ) |  |  | `[protected]`

void TMCDynamicString::InsertStr | ( | const TMCString & | ss,
|  | uint32 | nIndex |
| ) |  |  | `[virtual]`

Insert string ss at nIndex(1,String Length).

Reimplemented from TMCString.

TMCString& TMCDynamicString::operator+= | ( | uint16 | c | ) | `[virtual]`

Reimplemented from TMCString.

TMCString& TMCDynamicString::operator+= | ( | const TMCString & | ss | ) | `[virtual]`

Reimplemented from TMCString.

TMCDynamicString& TMCDynamicString::operator= | ( | const TMCDynamicString & | ss | ) |

TMCString& TMCDynamicString::operator= | ( | const TMCString & | ss | ) | `[virtual]`

Reimplemented from TMCString.

virtual void TMCDynamicString::SetByteLength | ( | uint32 | byteLength | ) | `[protected, virtual]`

Reimplemented from TMCString.

virtual void TMCDynamicString::SetMaxLength | ( | uint32 | maxLength | ) | `[protected, virtual]`

Reimplemented from TMCString.

## Member Data Documentation

int8* TMCDynamicString::fStringBuffer`[protected]`

The documentation for this class was generated from the following file:

- MCString.h